Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058628 (linode-cli) - Review Request: linode-cli - Official command-line interface to the Linode platform
Summary: Review Request: linode-cli - Official command-line interface to the Linode pl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: linode-cli
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On: 1058623
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 08:12 UTC by Christopher Meng
Modified: 2015-02-12 03:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 03:56:12 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-01-28 08:12:30 UTC
Spec URL: http://cicku.me/linode-cli.spec
SRPM URL: http://cicku.me/linode-cli-1.0.0-1.fc21.src.rpm
Description: Linode CLI is a simple command-line interface to the Linode platform.
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2014-07-07 01:51:05 UTC
NEW SPEC URL: http://us-la.cicku.me/linode-cli.spec
NEW SRPM URL: http://us-la.cicku.me/linode-cli-1.3.2-1.fc21.src.rpm

Comment 2 David Dick 2014-07-29 07:33:09 UTC
License is ok

Package needs a "BuildArch: noarch" entry

Package builds ok http://koji.fedoraproject.org/koji/taskinfo?taskID=7206026

Permissions for binaries need to be corrected.

WebService::Linode is a bundled library and should be removed in %prep

Christopher, there is no test suite, so not including most of the BRs will not cause a build failure.  At any rate, here are all the extra BRs that are used by this package that i could find.

perl(Carp)
perl(Exporter)
perl(Pod::Usage)
perl(Sys::Hostname)
perl(Term::ANSIColor)
perl(lib)
perl(parent)

BR: perl(LWP::UserAgent) is not used at all and may be removed.
BR: perl(Mozilla::CA) is not used at all and may be removed.

rpmlint returns a weird license warning because it seems unable to parse "Artistic or GPLv2" instead of "GPLv2 or Artistic".  You can correct this noise if you want.

Comment 3 Christopher Meng 2014-07-31 01:53:31 UTC
NEW SPEC URL: http://us-la.cicku.me/linode-cli.spec
NEW SRPM URL: http://us-la.cicku.me/linode-cli-1.3.2-2.fc22.src.rpm

Comment 4 David Dick 2014-07-31 08:24:31 UTC
No problems.

Package builds in rawhide at http://koji.fedoraproject.org/koji/taskinfo?taskID=7218812

rpmlint only incorrectly complains about the license as explained above.

Package approved.

Comment 5 Christopher Meng 2014-08-01 06:33:55 UTC
Thanx.

New Package SCM Request
=======================
Package Name: linode-cli
Short Description: Official command-line interface to the Linode platform
Upstream URL: https://github.com/linode/cli/
Owners: cicku
Branches: f20 f21 el6 epel7

Comment 6 Gwyn Ciesla 2014-08-01 12:10:09 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.